<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Name: Laboratory Specimen Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4.3.1-2012-01-07T000000">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]"
         id="tmp-780190f1-a3c2-4bb7-a906-d60bd0254465">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:templateId
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:templateId"
         id="tmp-a08a886b-124e-4a73-8e05-945358d810af">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@root)='1.2.40.0.34.11.4.3.1'">(LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]"
         id="tmp-492873dc-9505-4c46-8688-73c96a58d7b0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@classCode)='ACT'">(LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@moodCode)='EVN'">(LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')])&gt;=1 and not(hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')])&lt;=1">(LaboratorySpecimenEntry): Element hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]])&lt;=1">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:code
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:code"
         id="tmp-f7a11e25-56fa-4746-9152-e2b1516617a1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(LaboratorySpecimenEntry): Der Elementinhalt MUSS sein code '10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur'.</assert>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure"
         id="tmp-de0eeb57-44af-40e2-828a-c089eb0b3cad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@classCode)='PROC'">(SpecimenCollection): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@moodCode)='EVN'">(SpecimenCollection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&gt;=1 ">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&lt;=1">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(SpecimenCollection): Element hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(SpecimenCollection): Element hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(SpecimenCollection): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SpecimenCollection): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(SpecimenCollection): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:perfomer)&lt;=1">(SpecimenCollection): Element hl7:perfomer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(SpecimenCollection): Element hl7:participant ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participant)&lt;=1">(SpecimenCollection): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']"
         id="tmp-ce1737ee-a7aa-47da-a074-8153b00650d7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.2'">(SpecimenCollection): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-2c018000-8369-4352-9ce8-fa6baedf3944">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or (@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')">(SpecimenCollection): Der Elementinhalt MUSS sein code '33882-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-7f2ffb1e-57b6-43f3-b27f-0741cd03d871">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(SpecimenCollection): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:low)&lt;=1">(SpecimenCollection): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(SpecimenCollection): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:high)&lt;=1">(SpecimenCollection): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime/hl7:low
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime/hl7:low"
         id="tmp-ace87082-d946-4e38-b2e7-58e0a0c1f9da">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime/hl7:high
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime/hl7:high"
         id="tmp-76f2570f-126c-4b21-a3f1-94750ae56f05">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:targetSiteCode
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-899caf92-02e2-46c7-8e2b-7566d697a446">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenCollection): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_HumanActSite (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenCollection): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_HumanActSite (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer"
         id="tmp-4b77a52b-3e2a-4229-b9b9-22649930db39">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@typeCode)='PRF'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(SpecimenCollection): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(SpecimenCollection): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity"
         id="tmp-5c7bb3d9-3d8d-4f3f-8b60-fcc130c4a509">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(SpecimenCollection): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(SpecimenCollection): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(SpecimenCollection): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(SpecimenCollection): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(SpecimenCollection): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id"
         id="tmp-09212942-0179-42c2-a737-0fd86d37ae6b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr"
         id="tmp-d3f94c71-cef5-4c63-9485-acca3c8ea421">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom"
         id="tmp-cb051db2-d8ec-4df1-aff1-b67474b6da68">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-6ea2017d-6c5d-42ff-8181-b391286af763">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-07fff175-197d-4595-adec-597fdae4f93e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-fbc96668-dc33-4f71-926a-d485f18aba4a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-cccadc83-23c7-4e85-91d7-478e23c82789">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-317ea990-63dd-409e-bed8-2b6ccbff190d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-d2280c13-f610-4dc9-8097-ebfb1593c394">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-ea2dc616-14fd-46e0-9c70-89d6ff652fcb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant"
         id="tmp-f07998f2-91cd-4ab5-9438-c4a08db3b167">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@typeCode)='PRD'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]])&gt;=1 and not(hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/@nullFlavor)">(SpecimenCollection): Element hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]])&lt;=1">(SpecimenCollection): Element hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]"
         id="tmp-2e1e4f70-7fe0-4c46-a7a4-6bdba530b2dd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@classCode)='SPEC'">(SpecimenCollection): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(SpecimenCollection): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(SpecimenCollection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]])&gt;=1 and not(hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]/@nullFlavor)">(SpecimenCollection): Element hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]])&lt;=1">(SpecimenCollection): Element hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:id
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:id"
         id="tmp-af318384-ecf9-4a64-92e6-b2edf6ecf390">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity"
         id="tmp-de3a7c7a-3a77-4fea-8df3-8d83e4916a41">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')])&gt;=1 and not(hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]/@nullFlavor)">(SpecimenCollection): Element hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')])&lt;=1">(SpecimenCollection): Element hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity/hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity/hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]"
         id="tmp-a813b17b-9a50-47d4-b376-c9b62b676fe9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenCollection): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_SpecimenType (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenCollection): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_SpecimenType (DYNAMIC).</assert>
   </rule>
</pattern>
